[Mesa-dev] [PATCH 2/4] bin/get-pick-list.sh: prefix output with "[stable] "

Emil Velikov emil.l.velikov at gmail.com
Wed Nov 7 12:07:16 UTC 2018


From: Emil Velikov <emil.velikov at collabora.com>

With later commits we'll fold all the different scripts into one.
Add the explicit prefix, so that we know the origin of the nomination

Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
 bin/get-pick-list.sh | 21 ++++++++++++++++++++-
 1 file changed, 20 insertions(+), 1 deletion(-)

diff --git a/bin/get-pick-list.sh b/bin/get-pick-list.sh
index ba741cc4114..33a8a4cba48 100755
--- a/bin/get-pick-list.sh
+++ b/bin/get-pick-list.sh
@@ -7,6 +7,15 @@
 # $ bin/get-pick-list.sh
 # $ bin/get-pick-list.sh > picklist
 # $ bin/get-pick-list.sh | tee picklist
+#
+# The output is as follows:
+# [nominaiton_type] commit_sha commit summary
+
+is_stable_nomination()
+{
+	stable=`git show --summary $sha | grep -i -o "CC:.*mesa-stable"`
+	return $?
+}
 
 # Use the last branchpoint as our limit for the search
 latest_branchpoint=`git merge-base origin/master HEAD`
@@ -32,7 +41,17 @@ do
 		continue
 	fi
 
-	git --no-pager show --summary --oneline $sha
+	tag=none
+	if is_stable_nomination; then
+		tag=stable
+	fi
+
+	if test tag = none; then
+		continue
+	fi
+
+	printf "[ %8s ] %s\n" \
+		"$tag" "`git --no-pager show --summary --oneline $sha`"
 done
 
 rm -f already_picked
-- 
2.19.1



More information about the mesa-dev mailing list